net.minecraftforge.oredict

## Class RecipeSorter

- java.lang.Object
- - net.minecraftforge.oredict.RecipeSorter

- All Implemented Interfaces:
    Comparator<IRecipe>

      public class RecipeSorter
      extends Object
      implements Comparator<IRecipe>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RecipeSorter.Category`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RecipeSorter` | `INSTANCE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(IRecipe r1, IRecipe r2)`
    `static RecipeSorter.Category` | `getCategory(Class recipe)`
    `static RecipeSorter.Category` | `getCategory(IRecipe recipe)`
    `static void` | `register(String name, Class recipe, RecipeSorter.Category category, String dependancies)`
    `static void` | `setCategory(Class recipe, RecipeSorter.Category category)`
    `static void` | `sortCraftManager()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `equals`

- - ### Field Detail

    - #### INSTANCE

          public static RecipeSorter INSTANCE

  - ### Method Detail

    - #### compare

          public int compare(IRecipe r1,
                    IRecipe r2)

      Specified by:
        `compare` in interface `Comparator<IRecipe>`

    - #### sortCraftManager

          public static void sortCraftManager()

    - #### register

          public static void register(String name,
                      Class recipe,
                      RecipeSorter.Category category,
                      String dependancies)

    - #### setCategory

          public static void setCategory(Class recipe,
                         RecipeSorter.Category category)

    - #### getCategory

          public static RecipeSorter.Category getCategory(IRecipe recipe)

    - #### getCategory

          public static RecipeSorter.Category getCategory(Class recipe)